%define _prefix /usr/X11R6
%define _mandir %_prefix/man

Summary:	A WindowMaker Dock CD+Sound Applet
Name:		wmrack
Version:	1.1
Release:	5mdk
License:	GPL
Group:		Graphical desktop/WindowMaker

Source:		http://download.sourceforge.net/wmrack/wmrack-%{version}.tar.bz2
Patch0:		WMRack.patch.bz2
URL:		http://wmrack.sourceforge.net/
Icon:		wmrack.gif
Obsoletes:	WMRack
Provides:	WMRack
BuildRoot:	%_tmppath/%name-%version-%release-root
#BuildRequires:	XFree86-static-libs gcc xpm-devel
BuildRequires:	XFree86-devel gcc xpm-devel

%description
Dock Applet for WindowsMaker


%prep

%setup -q
%patch0 -p1

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
%makeinstall BINDIR="$RPM_BUILD_ROOT%_prefix/bin" \
	LIBDIR="$RPM_BUILD_ROOT%_prefix/lib/WMRack" \
	MANDIR="$RPM_BUILD_ROOT%_prefix/man/"


%clean
rm -fr %buildroot


%files
%defattr(-,root,root)
%doc README.ctrl README TODO WARRANTY
/usr/X11R6/bin/wmrack
/usr/X11R6/bin/cdctrl
/usr/X11R6/bin/mixctrl
/usr/X11R6/man/man1/*
/usr/X11R6/lib//WMRack/clean.style
/usr/X11R6/lib/WMRack/grey.style

%changelog
* Sat Jan 19 2002 Stefan van der Eijk <stefan@eijk.nu> 1.1-5mdk
- BuildRequires

* Wed Jan 16 2002 David BAUDENS <baudens@mandrakesoft.com> 1.1-4mdk
- Make spec MDK compliant
- Removre french locales
- Clean after build

* Mon Dec  3 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 1.1-3mdk
- fix alpha build by removing alpha patch (patch1)
- use %%configure2_5x to pass --build/--host/--target
- Provides: WMRack

* Sat Aug 25 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.1-2mdk
- Sanity build for 7.1.
- s/Copyright/License/;

* Fri May 18 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.1-1mdk
- wmrack 1.1 out for general consumption.
- Obsoletes the old WMRack.

* Tue May 01 2001 David BAUDENS <baudens@mandrakesoft.com> 1.0b5-11mdk
- Use %%_tmmpath for BuildRoot

* Thu Feb 08 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0b5-10mdk
- fix group

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0b5-9mdk
- automatically added BuildRequires

* Tue Mar 21 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 1.0b5-8mdk
- Fix group.

* Fri Jan 21 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0b5-7mdk
- Restoring CFLAGS.
- Don't sa.restored() on alpha (don't ask me why).

* Mon Dec 20 1999 Yoann Vandoorselaere <yoann@mandrakesoft.com>
- Patch:
        wmrack: does not segfault anymore when mixer device do not exist.
        cdctrl: dito.

* Thu Nov 6 1999 Damien Krotkine <damien@mandrakesoft.com>
- Make Mandrake compliant.

* Tue May 11 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- Make Mandrake compliant again.

* Fri Apr 30 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- Make Mandrake compliant again.

* Fri Apr 30 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- Mandrake Compliant
- Change group to Interface/Desktops(same as WM)

* Thu Aug  6 1998 Oliver Graf <ograf@fga.de>
- started changelog
- added defines for version and release
